Subject: [Anima-bootstrap] some info about multicast DNS

From: Sheng Jiang <[email-masked]>
Date: Thu, 12 May 2016 01:38:11 +0000

Resend this email on behalf of Peter van der Stok. This email was received as a bounce, but either the bounce format was not recognized, or no member addresses could be extracted from it.

Peter, if it is your intension to participant ANIMA bootstrap mail list discussion, please subscribe.

Sheng

Dear all,

I have looked at RFC6762 and selected some phrases that may help in the

discussion.

The text below addresses most of the questions raised yesterday.

The most basic kind of Multicast DNS client may simply send standard

DNS queries blindly to 224.0.0.251:5353, without necessarily even

being aware of what a multicast address is.

IANA has allocated the IPv6 multicast address set FF0X::FB (where "X"

indicates any hexadecimal digit from ’1’ to ’F’) for the use

described in this document [MC6]. Only address FF02::FB (link-local

scope) is currently in use by deployed software, but it is possible

that in the future implementers may experiment with Multicast DNS

using larger-scoped addresses, such as FF05::FB (site-local scope)

[RFC4291].

Sending Multicast DNS responses via multicast has the benefit that

all the other hosts on the network get to see those responses,

enabling them to keep their caches up to date and detect conflicting

responses.

However, there are situations where all the other hosts on the

network don’t need to see every response.

To avoid large floods of potentially unnecessary responses in these

cases, Multicast DNS defines the top bit in the class field of a DNS

question as the unicast-response bit. When this bit is set in a

question, it indicates that the querier is willing to accept unicast

replies in response to this specific query, as well as the usual

multicast responses.

There is much additional text about responders, and how they announce

themselves.

Greetings,

peter

--

Peter van der Stok

vanderstok consultancy

mailto: [email-masked]<mailto:[email-masked]>

www: www.vanderstok.org<http://www.vanderstok.org>

tel NL: +31(0)492474673     F: +33(0)966015248